GET
/settings/checkout-styles-overlayReturns the overlay checkout style settings for your account.
Includes the brand color (primary_checkout_color) used by overlay checkout.
Requires
checkout_settings.read permission.Response (200)
dataobjectrequired
Represents the overlay checkout style settings for your account.
primary_checkout_colorstring | nullrequired
Brand color for overlay checkout, as a six-digit hex code including the leading #.
null when no brand color is set, in which case the default checkout color applies.
Pattern:
^#[0-9a-fA-F]{6}$metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "primary_checkout_color": "#4F46E5" }, "meta": { "request_id": "8f6e6c8e-6f2b-4b1c-9b2b-6f5e9e2b5e2b" }}